Bug 702154 - Brightness controls on Acer Timeline
Brightness controls on Acer Timeline
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-04 18:06 EDT by NickG
Modified: 2013-04-23 13:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:28:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple script to set the brightness on the Acer Timeline series (173 bytes, application/x-shellscript)
2011-05-04 18:06 EDT, NickG
no flags Details

  None (edit)
Description NickG 2011-05-04 18:06:29 EDT
Created attachment 496933 [details]
Simple script to set the brightness on the Acer Timeline series

Description of problem:
Brightness controls (via Fn + [Left|Right] arrow keys) do not function as expected and backlight is held on full brightness, irrespective of gnome settings/physical controls

Version-Release number of selected component (if applicable):
Unknown, happy to discover under advice

How reproducible:
Everytime


Steps to Reproduce:
1. Try and set brightness via either function keys or gnome settings.
2. Observe the onscreen overlay show the changes and note that value in /sys/class/backlight/acpi_video0/brightness reflects the changes.
  
Actual results:
Brightness is held at maximum regardless of settings

Expected results:
Brightness to change in accordance with power settings & physical brightness controls.

Additional info:
I wrote a script to workaround this on Ubuntu and it can be found under 'Alternative Fix for 10.10' on https://help.ubuntu.com/community/AspireTimeline/Fixes.

Essentially I grepped the value set from the /sys fs and used it to set the  value via setpci which was hooked into acpid.

I'd love to get a fix into the right place and am happy to work with someone to accomplish it via a Kernel module (I have developed these before for in-house projects) or tweaking the script to work on Fedora.
Comment 1 Chuck Ebbert 2011-05-06 04:38:40 EDT
Is the acer-wmi driver loaded?
Comment 2 NickG 2011-05-06 14:05:38 EDT
Yes it would seems so from an lsmod:


[nick@zeus ~]$ lsmod | grep wmi
acer_wmi               15532  0 
sparse_keymap           2650  1 acer_wmi
rfkill                 13096  5 bluetooth,acer_wmi,cfg80211
wmi                     7722  1 acer_wmi
Comment 3 Fedora End Of Life 2013-04-03 11:36:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Justin M. Forbes 2013-04-05 15:50:26 EDT
Is this still an issue with the 3.9 kernels in F19?
Comment 5 Justin M. Forbes 2013-04-23 13:28:15 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.